CairoMatrix::initRotate
CairoMatrix::initTranslate
CairoMatrix
PHP Manual

# CairoMatrix::initScale

# cairo_matrix_init_scale

# cairo_matrix_create_scale

(PECL cairo >= 0.1.0)

CairoMatrix::initScale -- cairo_matrix_init_scale -- cairo_matrix_create_scale — Creates a new scaling matrix

### Description

Object oriented style (method):

public static void CairoMatrix::initScale ( float `$sx` , float `$sy` )

Procedural style:

object cairo_matrix_init_scale ( float `$sx` , float `$sy` )

Creates a new matrix to a transformation that scales by sx and sy in the X and Y dimensions, respectively.

### Parameters

`sx`

  scale factor in the X direction

`sy`

  scale factor in the Y direction

### Return Values

Returns a new CairoMatrix object that can be used with surfaces, contexts, and patterns.

### Examples

Example #1 Object oriented style

`<?php
/* Create a new Matrix */
$matrix = CairoMatrix::initScale(1.0, 2.0);
?>`

Example #2 Procedural style

`<?php
/* Create a new Matrix */
$matrix = cairo_matrix_init_scale(1.0, 2.0);
?>`

### See Also

- CairoMatrix::__construct() - Creates a new CairoMatrix object
- CairoMatrix::initIdentity() - Creates a new identity matrix
- CairoMatrix::initRotate() - Creates a new rotated matrix
- CairoMatrix::initTranslate() - Creates a new translation matrix

CairoMatrix::initRotate
CairoMatrix::initTranslate
CairoMatrix
PHP Manual